liblas (1.8.1-5~exp1) experimental; urgency=medium

  * Require at least libgdal-dev 2.2.2~ for experimental builds.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Sep 2017 12:22:00 +0200

liblas (1.8.1-4) unstable; urgency=medium

  * Update symbols for mipsel & mips64el.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Jul 2017 18:28:05 +0200

liblas (1.8.1-4~exp5) experimental; urgency=medium

  * Update symbols for x32.
  * Require at least libgdal-dev 2.2.1 for experimental builds.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Jun 2017 14:48:48 +0200

liblas (1.8.1-4~exp4) experimental; urgency=medium

  * Fix SOURCE_DATE_EPOCH use.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 20:13:58 +0200

liblas (1.8.1-4~exp3) experimental; urgency=medium

  * Require at least libgdal-dev 2.2.1~ for experimental builds.
  * Add autopkgtest to test installability.
  * Bump Standards-Versiont to 4.0.0, no changes.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Jun 2017 17:10:43 +0200

liblas (1.8.1-4~exp2) experimental; urgency=medium

  * Require at least libgdal-dev 2.2.0~ for experimental builds.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Apr 2017 11:59:04 +0200

liblas (1.8.1-4~exp1) experimental; urgency=medium

  * Require at least libgdal-dev 2.1.3~ for experimental builds.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jan 2017 11:30:11 +0100

liblas (1.8.1-3) unstable; urgency=medium

  * Update symbols for other architectures.
  * Require at least libgdal-dev 2.1.2 for GDAL transition.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Oct 2016 00:04:41 +0200

liblas (1.8.1-3~exp1) experimental; urgency=medium

  * Require at least libgdal-dev 2.1.2~ for experimental builds.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Oct 2016 19:09:36 +0200

liblas (1.8.1-2) unstable; urgency=medium

  * Update symbols for other architectures.
  * Strip pre-release from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Aug 2016 17:53:49 +0200

liblas (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Aug 2016 22:11:28 +0200

liblas (1.8.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file to force lowercase RC.
  * Drop patches, applied upstream.
  * Update copyright file, changes:
    - Add license & copyright for las2col.c & las2pg.c
    - Rename MIT license shortname to Expat
  * Add patch to fix 'offset' typo.
  * Update symbols for amd64.
  * Install las2col & las2pg in liblas-bin.
  * Add patch to fix spelling errors.
  * Add patch to support GNU/kFreeBSD in las2col & las2pg.
  * Add patch to support GNU/Hurd in las2col & las2pg.
  * Fix tests using LD_PRELOAD of liblas.so.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Aug 2016 22:32:12 +0200

liblas (1.8.0-12) unstable; urgency=medium

  * Add patch to fix FTBFS with libgeotiff 1.4.2.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2016 22:07:36 +0200

liblas (1.8.0-11) unstable; urgency=medium

  * Require at least libgdal-dev 2.1.1 for GDAL transition.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jul 2016 16:34:41 +0200

liblas (1.8.0-11~exp1) experimental; urgency=medium

  * Require at least libgdal-dev 2.1.1~ for experimental builds.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Jul 2016 11:29:08 +0200

liblas (1.8.0-10) unstable; urgency=medium

  * Move from experimental to unstable.
  * Update symbols for hppa.
  * Drop unused override for old-style-config-script-multiarch-path.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 May 2016 15:40:29 +0200

liblas (1.8.0-10~exp1) experimental; urgency=medium

  * Require at least libgdal-dev 2.1 for experimental builds.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 May 2016 20:16:50 +0200

liblas (1.8.0-9) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Apr 2016 16:39:13 +0200

liblas (1.8.0-8) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Mar 2016 23:19:16 +0100

liblas (1.8.0-8~exp1) experimental; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Add patches for various typos.
  * Add lintian override for old-style-config-script-multiarch-path.
    See: https://lists.debian.org/debian-devel/2016/01/msg00688.html
  * Bump Standards-Version to 3.9.7, no changes.
  * Require at least libgdal-dev 2.0 for experimental builds.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Feb 2016 15:01:30 +0100

liblas (1.8.0-7) unstable; urgency=medium

  * Update symbols for all architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Oct 2015 19:47:01 +0200

liblas (1.8.0-6) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Update Source URL in copyright to match watch file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Oct 2015 09:52:42 +0200

liblas (1.8.0-5) unstable; urgency=medium

  * Update symbols for mips*, hppa & x32.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 19:39:26 +0200

liblas (1.8.0-4) unstable; urgency=medium

  * Update symbols for other architectures except mips*,
    the experimental buildds for mips* aren't active at the moment.
    (closes: #777955)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 12:09:15 +0200

liblas (1.8.0-4~exp1) experimental; urgency=medium

  * Update symbols for amd64 with GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 19:30:05 +0200

liblas (1.8.0-3) unstable; urgency=medium

  * Fix upstream version extraction from changelog.
  * Use multi-line uscan options.
  * Add boost dependencies to liblas-dev.
  * Also install cmake files in liblas-dev.
  * Explicitly remove files not be installed.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jul 2015 22:42:30 +0200

liblas (1.8.0-2) unstable; urgency=medium

  * Update symbols for: arm64, armel, armhf, hurd-i386, i386, kfreebsd-i386,
    mips, mipsel, powerpc, ppc64el & s390x.
  * Set the date embedded in man pages to the build date for
    reproducible builds.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 11:40:47 +0200

liblas (1.8.0-2~exp1) experimental; urgency=medium

  * Add upstream metadata.
  * Update man page for liblas-config.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update my email to use @debian.org address.
  * Bump Standards-Version to 3.9.6, no changes.
  * Update copyright file, changes:
    - Simplify Files sections, group by license
    - Correct GPL-3 or later license shortname to GPL-3+
  * Use dh --with python2 instead of calling it in dh_install override.
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle symbols.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Feb 2015 17:37:20 +0100

liblas (1.8.0-1) unstable; urgency=medium

  * Move to unstable

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 21 Aug 2014 19:08:29 +0200

liblas (1.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches applied upstream:
    - boost
    - soversion
    - separator-typo
  * Drop patches backported from upstream:
    - 0001-remove-old-LAStools-utilities-that-don-t-belong-in-liblas.patch
    - update_gdal_geotiff.patch
  * Update fix_library_search patch for SONAME bump.
  * Update package names for SONAME bump.
  * Add build dependencies for boost_iostreams & boost_filesystem.
  * Fix executable-not-elf-or-script for python examples.
  * Add patch to fix 'accommodate' typo.
  * Strip RPATH from binaries.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 03 Aug 2014 14:17:52 +0200

liblas (1.7.0+dfsg-6) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add build dependency on liblaszip-dev for compression support.
  * Use dh_install --list-install.
  * Also include lasblock & ts2las programs in liblas-bin.
  * Add patch from upstream to remove old LAStools utilities.
    (closes: #749403)

  [ Ross Gammon ]
  * Ignore quilt dir
  * Update to build against latest gdal (1.11.0)
  * Revert inclusion of liblaszip until it passes the new queue
  * Add myself to uploaders

 -- Ross Gammon <rossgammon@mail.dk>  Fri, 01 Aug 2014 15:26:51 +0200

liblas (1.7.0+dfsg-5) unstable; urgency=low

  * Add myself to Uploaders.
  * Also remove generated man pages on clean.
  * Add gbp.conf to use prinstine-tar by default.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 06 Mar 2014 23:50:33 +0100

liblas (1.7.0+dfsg-4) unstable; urgency=low

  * Move python dependencies from Build-Depends-Indep to Build-Depends.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 21 Feb 2014 11:52:35 +0100

liblas (1.7.0+dfsg-3) unstable; urgency=low

  * Team upload.
  * Update debian watch file with sepwatch changes,
    and handle more common mistakes.
  * Refresh boost patch.
  * Also build python extension, replaces separate source package.
    (closes: #735516)
  * Remove obsolete liblas1.install.
  * Add patch to fix the library version and SONAME.
  * Add lintian overrides for no symbols file,
    symbols are problematic for C++ libraries.
  * Enable verbose build logs.
  * Add patch from python-liblas to fix the library search path.
  * Use pybuild instead of python_distutils buildsystem.
    Thanks Graham Inggs for the patch.
  * Change libtiff build dependency to libtiff-dev only.
    (closes: #736129)
  * Update liblas-dev dependency on libgdal-dev to match the build dependency.
  * Drop shlibs:Depends for -dev packages.
  * Add manpages for liblas-bin & liblas-dev.
    (closes: #645820)
  * Install python examples.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 08 Feb 2014 03:15:29 +0100

liblas (1.7.0+dfsg-2) unstable; urgency=medium

  * Fixed missing linking of system boost component.
    (closes: #733282)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 05 Jan 2014 17:00:29 +0100

liblas (1.7.0+dfsg-1) unstable; urgency=medium

  * Merged change accepted upstream to substitute the non-free SHA1
    implementation with a MIT/X11 implementation as provided by 
    http://tamale.net/sha1
    (closes: #730754)
  * Revised debian/copyright to reflect changes and missing licenses.
    (closes: #730755)
  * Policy bumped to 3.9.5, no changes required.
  * Moved to new libgdal-dev b-d.
  * Moved to canonical Vcs-* fields.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 27 Dec 2013 18:31:02 +0100

liblas (1.7.0-1) experimental; urgency=low

  [ David Paleino ]
  * Updated debian/watch to reflect new source location.
  * Package moved to git, reflect the change in Vcs-* fields.
  * Moved from CDBS to dh
  * Added myself to Uploaders
  * Dropped patches, no more needed
  * Libraries split: liblas(2) and liblas-c(2), since both a C and a C++
    version is provided. The same applies for the -dev packages.

  [ Francesco Paolo Lovergine ]
  * New upstream version with SONAME bumping.
  * Moved to source format 3.0.
  * Policy bumped to 3.9.3, no changes required.
  * Strictly depends on GDAL 1.7+.
  * Now use the new TIFF library.
  * Debhelper moved to level 8.
  * Added new build-dep: libboost-dev.
  * Debhelper level set to 9.
  * debian/copyright now is in format 1.0.
  * Now both a C and a C++ bindings are provided, so
    new binary packages have been introduced, with SONAME
    bumping.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Nov 2013 16:03:56 +0100

liblas (1.2.1-1) unstable; urgency=low

  * Initial release.
    (closes: #532415)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 02 Oct 2009 12:36:21 +0200
